Package org.apache.bcel.classfile

# Class ConstantDynamic

java.lang.Object
org.apache.bcel.classfile.Constant
org.apache.bcel.classfile.ConstantCP
org.apache.bcel.classfile.ConstantDynamic

All Implemented Interfaces:
  `Cloneable`, `Node`

public final class ConstantDynamic extends ConstantCP
This class is derived from the abstract `Constant` and represents a reference to a dynamically computed constant.

Since:
  6.3
See Also:
  - `Constant`
  - Change request for JEP 309

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.classfile.ConstantCP

  `class_index, name_and_type_index`

  ### Fields inherited from class org.apache.bcel.classfile.Constant

  `tag`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConstantDynamic(int bootstrapMethodAttrIndex, int nameAndTypeIndex)`
  `ConstantDynamic(ConstantDynamic c)`
  Initialize from another object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class.
  `int`
  `getBootstrapMethodAttrIndex()`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.bcel.classfile.ConstantCP

  `dump, getClass, getClassIndex, getNameAndTypeIndex, setClassIndex, setNameAndTypeIndex`

  ### Methods inherited from class org.apache.bcel.classfile.Constant

  `clone, copy, equals, getComparator, getTag, hashCode, readConstant, setComparator`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConstantDynamic

    public ConstantDynamic(ConstantDynamic c)
    Initialize from another object.
    Parameters:
      `c` - Source to copy.

  - ### ConstantDynamic

    public ConstantDynamic(int bootstrapMethodAttrIndex, int nameAndTypeIndex)

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
    Specified by:
      `accept` in interface `Node`
    Specified by:
      `accept` in class `Constant`
    Parameters:
      `v` - Visitor object

  - ### getBootstrapMethodAttrIndex

    public int getBootstrapMethodAttrIndex()
    Returns:
      Reference (index) to bootstrap method this constant refers to. Note that this method is a functional duplicate of getClassIndex for use by ConstantInvokeDynamic.
    Since:
      6.0

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ConstantCP`
    Returns:
      String representation